## First steps

This project contains files for docker, the docs and webroot with a demo of implemented components.
To bring up and running:

You need 

* a rootless docker instance (if it is working with docker as root I didn't tested).
* docker compose
* facl

Steps:

* start ./docker/init.sh
* press ``i`` to apply write permissions with setfacl command
* press ``u`` to startup the container

In your browser open http://localhost:8008/.

## Start a new project using demo page

Steps:

* delete the directories .git + docs
* delete the files .gitignore + readme.md

## Start from scratch (WIP)

If you have no AdminLTE page and want to jump in from point zero:

* copy **public_html/vendor/** into your webroot - it contains
  * AdminLTE framework
  * AdminLTE plugins: Bootstrap, jQuery, Fontawesome icons
* copy **public_html/config/00_page.tpl.php.dist** to a template directory

Continue: 

* [Page layout](30_Page_layout.md)
* [Navigation](40_Navigation.md)
* [Components](50_Components/index)

## Copy needed files only

If you have a webapp using AdminLTE already you can profit from the rendering class.

Copy these files into your class folder of your project

* public_html/classes/render-adminlte.class.php
* public_html/classes/htmlelements.class.php

In your output file you need to reference it and create an instance:

```php
require_once('classes/render-adminlte.class.php');
$renderAdminLTE=new renderadminlte();
```

Continue: [Components](50_Components/index)