## Infobox

A div box - kind of a tile - to show an icon, text, value; optional with a progress bar.

![Infobox](../images/examples_infobox.png)

### Syntax

```php
$renderAdminLTE->getInfobox($aOptions);
```

### Return

{string} html code

### Parameters

* $aOptions - {array} options to describe the element

Styling:

Key      | Description
---      | ---
iconbg   | background color or type of icon; use it for default type (type="")
shadow   | size of shadow; one of<br>- [empty] (=default: between small and regular)<br>- "none"<br>- "small"<br>- "regular"<br>- "large"
type     | one of<br>- [empty]<br>- "danger"<br>- "dark"<br>- "info"<br>- "primary"<br>- "secondary"<br>- "success"<br>- "warning"



Content:

Key           | Description
---           | ---
icon          | icon css class; eg. fontawesome "fa-regular fa-thumbs-up"
text          | visible text
number        | Value as string, eg. to format large integers
progressvalue | optional: integer: progress bar; range: 0..100
progresstext  | optional: text below progress bar

### Example

```php
$renderAdminLTE->getInfobox(array (
  'type' => 'success',
  'bgcolor' => '',
  'shadow' => '',
  'icon' => 'fa-regular fa-thumbs-up',
  'text' => 'Likes',
  'number' => '41,410',
  'progressvalue' => 70,
  'progresstext' => '70% Increase in 30 Days',
));
```
